Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.service.processor
Class ServiceAsyncRequestReplyRequestor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.routing.requestreply.AbstractAsyncRequestReplyRequester
              org.mule.service.processor.ServiceAsyncRequestReplyRequestor

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, InterceptingMessageProcessor, MessageProcessor, RequestReplyRequesterMessageProcessor, MessageSource

    public class ServiceAsyncRequestReplyRequestor

extends AbstractAsyncRequestReplyRequester

Field Summary

Fields inherited from class org.mule.routing.requestreply.AbstractAsyncRequestReplyRequester
`failOnTimeout, flowConstruct, locks, MAX_PROCESSED_GROUPS, processed, processedLock, replyMessageSource, responseEvents, timeout`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Constructor Summary
`ServiceAsyncRequestReplyRequestor()`

Method Summary
`protected void` | `postLatchAwait(String asyncReplyCorrelationId)`
`protected void` | `verifyReplyMessageSource(MessageSource messageSource)`

Methods inherited from class org.mule.routing.requestreply.AbstractAsyncRequestReplyRequester
`addProcessed, getAsyncReplyCorrelationId, isAlreadyProcessed, process, receiveAsyncReply, sendAsyncRequest, setFailOnTimeout, setFlowConstruct, setReplySource, setTimeout, toString`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Constructor Detail

### ServiceAsyncRequestReplyRequestor

    public ServiceAsyncRequestReplyRequestor()

Method Detail

### postLatchAwait

    protected void postLatchAwait(String asyncReplyCorrelationId)

  Overrides:
    `postLatchAwait` in class `AbstractAsyncRequestReplyRequester`

### verifyReplyMessageSource

    protected void verifyReplyMessageSource(MessageSource messageSource)

  Overrides:
    `verifyReplyMessageSource` in class `AbstractAsyncRequestReplyRequester`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.